# frame_info_t Struct Reference

`#include <v4l2_backend_test.h>`

List of all members.

## Public Attributes

uint64_t | timestamp
struct timeval | input_time
struct timeval | output_time
slice_type_e | slice_type
nal_type_e | nal_type
uint32_t | ref

## Detailed Description

Definition at line 104 of file v4l2_backend_test.h.

## Member Data Documentation

struct timeval frame_info_t::input_time `[read]`

Definition at line 107 of file v4l2_backend_test.h.

nal_type_e frame_info_t::nal_type

Definition at line 110 of file v4l2_backend_test.h.

struct timeval frame_info_t::output_time `[read]`

Definition at line 108 of file v4l2_backend_test.h.

uint32_t frame_info_t::ref

Definition at line 111 of file v4l2_backend_test.h.

slice_type_e frame_info_t::slice_type

Definition at line 109 of file v4l2_backend_test.h.

uint64_t frame_info_t::timestamp

Definition at line 106 of file v4l2_backend_test.h.

The documentation for this struct was generated from the following file:

- samples/backend/v4l2_backend_test.h